# Method: notification.partners.orders.patch

- [HTTP request](https://developers.google.com/maps-booking/reference/maps-booking-api/rest/v1alpha/notification.partners.orders/patch#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/maps-booking/reference/maps-booking-api/rest/v1alpha/notification.partners.orders/patch#body.PATH_PARAMETERS)
- [Query parameters](https://developers.google.com/maps-booking/reference/maps-booking-api/rest/v1alpha/notification.partners.orders/patch#body.QUERY_PARAMETERS)
- [Request body](https://developers.google.com/maps-booking/reference/maps-booking-api/rest/v1alpha/notification.partners.orders/patch#body.request_body)
- [Response body](https://developers.google.com/maps-booking/reference/maps-booking-api/rest/v1alpha/notification.partners.orders/patch#body.response_body)
  - [JSON representation](https://developers.google.com/maps-booking/reference/maps-booking-api/rest/v1alpha/notification.partners.orders/patch#body.Order.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://developers.google.com/maps-booking/reference/maps-booking-api/rest/v1alpha/notification.partners.orders/patch#body.aspect)
- [LineItem](https://developers.google.com/maps-booking/reference/maps-booking-api/rest/v1alpha/notification.partners.orders/patch#LineItem)
  - [JSON representation](https://developers.google.com/maps-booking/reference/maps-booking-api/rest/v1alpha/notification.partners.orders/patch#LineItem.SCHEMA_REPRESENTATION)
- [OrderedTickets](https://developers.google.com/maps-booking/reference/maps-booking-api/rest/v1alpha/notification.partners.orders/patch#OrderedTickets)
  - [JSON representation](https://developers.google.com/maps-booking/reference/maps-booking-api/rest/v1alpha/notification.partners.orders/patch#OrderedTickets.SCHEMA_REPRESENTATION)

Updates an existing `https://developers.google.com/maps-booking/reference/maps-booking-api/rest/v1alpha/notification.partners.orders/patch#body.Order`.

### HTTP request

`PATCH https://mapsbooking.googleapis.com/v1alpha/notification/{order.name=partners/*/orders/*}`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `order.name` | `string` Resource name of the order: `partners/{partner ID}/orders/{order ID}` |

### Query parameters

| Parameters ||
|---|---|
| `updateMask` | ``string (`https://protobuf.dev/reference/protobuf/google.protobuf#field-mask` format)`` Field mask of all order fields to be updated This is a comma-separated list of fully qualified names of fields. Example: `"user.displayName,photo"`. |

### Request body

The request body contains an instance of `https://developers.google.com/maps-booking/reference/maps-booking-api/rest/v1alpha/notification.partners.orders/patch#body.Order`.

### Response body

An order for service appointments with a merchant.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "name": string, "clientInformation": { object (`https://developers.google.com/maps-booking/reference/maps-booking-api/rest/v1alpha/notification.partners.bookings#ClientInformation`) }, "paymentInformation": { object (`https://developers.google.com/maps-booking/reference/maps-booking-api/rest/v1alpha/notification.partners.bookings#PaymentInformation`) }, "merchantId": string, "item": [ { object (`https://developers.google.com/maps-booking/reference/maps-booking-api/rest/v1alpha/notification.partners.orders/patch#LineItem`) } ] } ``` |

| Fields ||
|---|---|
| `name` | `string` Resource name of the order: `partners/{partner ID}/orders/{order ID}` |
| `clientInformation` | ``object (`https://developers.google.com/maps-booking/reference/maps-booking-api/rest/v1alpha/notification.partners.bookings#ClientInformation`)`` Personal information of the client making the order. |
| `paymentInformation` | ``object (`https://developers.google.com/maps-booking/reference/maps-booking-api/rest/v1alpha/notification.partners.bookings#PaymentInformation`)`` Information about payment transactions that relate to the order. |
| `merchantId` | `string` ID of the merchant that all services in this order belong to. |
| `item[]` | ``object (`https://developers.google.com/maps-booking/reference/maps-booking-api/rest/v1alpha/notification.partners.orders/patch#LineItem`)`` Line items in this order. |

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/mapsbooking`

## LineItem

A single item in an order--the booking of a single service in a single time slot.

| JSON representation |
|---|
| ``` { "serviceId": string, "startSec": string, "durationSec": string, "tickets": [ { object (`https://developers.google.com/maps-booking/reference/maps-booking-api/rest/v1alpha/notification.partners.orders/patch#OrderedTickets`) } ], "price": { object (`https://developers.google.com/maps-booking/reference/maps-booking-api/rest/v1alpha/Price`) }, "status": enum (`https://developers.google.com/maps-booking/reference/maps-booking-api/rest/v1alpha/notification.partners.bookings#BookingStatus`) } ``` |

| Fields ||
|---|---|
| `serviceId` | `string` ID of the merchant Service. |
| `startSec` | `string (https://developers.google.com/discovery/v1/type-format format)` Start time of the appointment slot in seconds of UTC time since Unix epoch. |
| `durationSec` | `string (https://developers.google.com/discovery/v1/type-format format)` Duration of the appointment slot in seconds. |
| `tickets[]` | ``object (`https://developers.google.com/maps-booking/reference/maps-booking-api/rest/v1alpha/notification.partners.orders/patch#OrderedTickets`)`` Number of tickets ordered by Ticket Type. |
| `price` | ``object (`https://developers.google.com/maps-booking/reference/maps-booking-api/rest/v1alpha/Price`)`` The total price (excluding taxes) of this Line Item. |
| `status` | ``enum (`https://developers.google.com/maps-booking/reference/maps-booking-api/rest/v1alpha/notification.partners.bookings#BookingStatus`)`` Status of the Line Item. |

## OrderedTickets

Number of ordered tickets by Ticket Type.

| JSON representation |
|---|
| ``` { "ticketId": string, "count": integer } ``` |

| Fields ||
|---|---|
| `ticketId` | `string` ID of a Ticket Type. |
| `count` | `integer` Number of tickets ordered for this type. |